Connect Vrli With Domain

Connect Vrli With Domain

Connect or disconnect a domain with VMware Aria Operations for Logs

Request
URI
PUT
https://{api_host}/v1/vrli/domains
COPY
Request Body
DomainIntegration of type(s) application/json
Required
{
    "domainId": "string",
    "status": "ENABLED, DISABLED, IN_PROGRESS"
}
string
domainId
Required

The ID of the workload domain

string
status
Required

The association status of the workload domain

Enumeration: ENABLED, DISABLED
Responses
202

Accepted

Returns Task of type(s) application/json
{
    "id": "string",
    "name": "string",
    "localizableDescriptionPack": {
        "component": "string",
        "messageKey": "string",
        "arguments": [
            "string"
        ],
        "message": "string",
        "bundle": "string"
    },
    "type": "Sample values: HOST_COMMISSION, HOST_DECOMMISSION",
    "status": "One among: PENDING, Pending, IN_PROGRESS, In Progress, SUCCESSFUL, Successful, FAILED, Failed, CANCELLED, Cancelled, COMPLETED_WITH_WARNING, SKIPPED",
    "creationTimestamp": "string",
    "completionTimestamp": "string",
    "subTasks": [
        {
            "name": "string",
            "type": "string",
            "description": "string",
            "status": "One among: PENDING, IN_PROGRESS, SUCCESSFUL, FAILED, NOT_APPLICABLE",
            "creationTimestamp": "string",
            "completionTimestamp": "string",
            "stages": [
                {
                    "name": "string",
                    "type": "string",
                    "description": "string",
                    "status": "One among: PENDING, IN_PROGRESS, SUCCESSFUL, FAILED",
                    "creationTimestamp": "string",
                    "completionTimestamp": "string",
                    "errors": [
                        {
                            "errorCode": "string",
                            "errorType": "string",
                            "arguments": [
                                "string"
                            ],
                            "context": {
                                "context": "string"
                            },
                            "message": "string",
                            "remediationMessage": "string",
                            "causes": [
                                {
                                    "type": "string",
                                    "message": "string"
                                }
                            ],
                            "nestedErrors": [
                                {
                                    "errorCode": "string",
                                    "errorType": "string",
                                    "arguments": [
                                        "string"
                                    ],
                                    "context": {
                                        "context": "string"
                                    },
                                    "message": "string",
                                    "remediationMessage": "string",
                                    "causes": [
                                        {
                                            "type": "string",
                                            "message": "string"
                                        }
                                    ],
                                    "nestedErrors": [
                                        "Error Object"
                                    ],
                                    "referenceToken": "string"
                                }
                            ],
                            "referenceToken": "string"
                        }
                    ]
                }
            ],
            "errors": [
                {
                    "errorCode": "string",
                    "errorType": "string",
                    "arguments": [
                        "string"
                    ],
                    "context": {
                        "context": "string"
                    },
                    "message": "string",
                    "remediationMessage": "string",
                    "causes": [
                        {
                            "type": "string",
                            "message": "string"
                        }
                    ],
                    "nestedErrors": [
                        "Error Object"
                    ],
                    "referenceToken": "string"
                }
            ],
            "resources": [
                {
                    "resourceId": "BE8A5E04-92A0-43F6-A166-AA041F4327CC",
                    "fqdn": "sfo-vc01.rainpole.io",
                    "type": "One among: SDDC_MANAGER, PSC, VCENTER, NSX_MANAGER, NSXT_MANAGER, VRA, VRLI, VROPS, VRSLCM, VXRAIL_MANAGER, NSX_ALB, ESXI",
                    "name": "string",
                    "sans": [
                        "sfo-vc01.rainpole.io"
                    ]
                }
            ],
            "subTasks": [
                {
                    "name": "string",
                    "type": "string",
                    "description": "string",
                    "status": "One among: PENDING, IN_PROGRESS, SUCCESSFUL, FAILED, NOT_APPLICABLE",
                    "creationTimestamp": "string",
                    "completionTimestamp": "string",
                    "stages": [
                        {
                            "name": "string",
                            "type": "string",
                            "description": "string",
                            "status": "One among: PENDING, IN_PROGRESS, SUCCESSFUL, FAILED",
                            "creationTimestamp": "string",
                            "completionTimestamp": "string",
                            "errors": [
                                {
                                    "errorCode": "string",
                                    "errorType": "string",
                                    "arguments": [
                                        "string"
                                    ],
                                    "context": {
                                        "context": "string"
                                    },
                                    "message": "string",
                                    "remediationMessage": "string",
                                    "causes": [
                                        {
                                            "type": "string",
                                            "message": "string"
                                        }
                                    ],
                                    "nestedErrors": [
                                        "Error Object"
                                    ],
                                    "referenceToken": "string"
                                }
                            ]
                        }
                    ],
                    "errors": [
                        {
                            "errorCode": "string",
                            "errorType": "string",
                            "arguments": [
                                "string"
                            ],
                            "context": {
                                "context": "string"
                            },
                            "message": "string",
                            "remediationMessage": "string",
                            "causes": [
                                {
                                    "type": "string",
                                    "message": "string"
                                }
                            ],
                            "nestedErrors": [
                                "Error Object"
                            ],
                            "referenceToken": "string"
                        }
                    ],
                    "resources": [
                        {
                            "resourceId": "BE8A5E04-92A0-43F6-A166-AA041F4327CC",
                            "fqdn": "sfo-vc01.rainpole.io",
                            "type": "One among: SDDC_MANAGER, PSC, VCENTER, NSX_MANAGER, NSXT_MANAGER, VRA, VRLI, VROPS, VRSLCM, VXRAIL_MANAGER, NSX_ALB, ESXI",
                            "name": "string",
                            "sans": [
                                "sfo-vc01.rainpole.io"
                            ]
                        }
                    ],
                    "subTasks": [
                        "SubTask Object"
                    ]
                }
            ]
        }
    ],
    "errors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string"
        }
    ],
    "resources": [
        {
            "resourceId": "BE8A5E04-92A0-43F6-A166-AA041F4327CC",
            "fqdn": "sfo-vc01.rainpole.io",
            "type": "One among: SDDC_MANAGER, PSC, VCENTER, NSX_MANAGER, NSXT_MANAGER, VRA, VRLI, VROPS, VRSLCM, VXRAIL_MANAGER, NSX_ALB, ESXI",
            "name": "string",
            "sans": [
                "sfo-vc01.rainpole.io"
            ]
        }
    ],
    "resolutionStatus": "Can have only one of the two values: RESOLVED or UNRESOLVED",
    "isCancellable": false,
    "isRetryable": false
}
string
id
Required

Task ID

string
name
Required

Task name

object
localizableDescriptionPack
Read-Only

A message pack representing a localizable message and suitable for machine processing. Contains a message key unique in the scope of the specified component, as well as the arguments needed to generate the localized message.

string
type
Read-Only

Operation that is represented by the Task in machine readable format. The value is controlled by the owners/producers of the Task. The convention is _

string
status
Required

Task status

string
creationTimestamp
Required

Task creation timestamp

string
completionTimestamp
Read-Only

Task completion timestamp

array of object
subTasks
Read-Only

List of sub-tasks of the task

array of object
errors
Optional

List of errors in case of a failure

array of object
resources
Read-Only

List of resources associated with task

string
resolutionStatus
Read-Only

Resolution state

boolean
isCancellable
Read-Only

Represents task can be cancellable or not.

boolean
isRetryable
Read-Only

Indicates whether a task is eligible for retry or not.


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"domainId":"string","status":"string"}' https://{api_host}/v1/vrli/domains